Subject: Re: MPC823E SMC/I2C/SPI micropatch

From: Jan Damborsky <[email-masked]>
Date: Mon, 26 Jan 2004 08:23:52 +0100

Hi,
I have found out that CPM micropatch
available in linux-2.4 from Wolfgang Denk
site (the kernel we use successfuly on our
custom boards at present) is applicable as well.
After some changes in 8xx CPM and UART code
I have succeeded.
For now, ethernets on SCC2 and SCC3, UARTs
on SMC1 and SMC2 work altogether.
Thank you very much.
                    Sincerely, Jan Damborsky

Steven Blakeslee wrote:
> I've used the one in the linuxppc_2_4_devel tree with success.
> http://ppc.bkbits.net
> It is found in directory arch/ppc/8xx_io
>
> -----Original Message-----
> From: Jan Damborsky [mailto:[email-masked]]
> Sent: Monday, January 19, 2004 11:20 AM
> To: [email-masked]
> Subject: MPC823E SMC/I2C/SPI micropatch
>
>
>
> Hi,
>
> we want to use SCCs and SMCs on our custom board
> with MPC823E in following configuration:
> Ethernets on SCC2 and SCC3,
> UARTs on SMC2 and SMC1. Normally it is not possible,
> because SCC3 ethernet parameter RAM overlaps SMC1 one.
> I have found Motorola micropatch
> for SMC/I2C/SPI relocation only for MPC850 and MPC860
> processors. They are slightly different (exactly
> these patches differ in one word). I would like
> to ask if somebody tries to use one of them
> for MPC823E. Or if  another microcode patch exists
> especially for MPC823E.
>
>                     Regards, Jan Damborsky
>
>
>
>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/